Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 9227 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Inventor - výběr entity

 Odpovědět Odpovědět archiv
Autor
pavelstyl Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 06.říj.2004
Lokalita: Czech Republic
Používám:
AutoCAD Mech 2023, SolidEdgeE 2023
Stav: Offline
Bodů: 226
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace pavelstyl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Inventor - výběr entity
    Zasláno: 28.čer.2023 v 08:45
Dobrý den,
 ve výkrese ve skice potřebuji po uživateli, aby vybrat entitu (čáru).
To umím udělat pomocí 
Dim Curve As DrawingCurveSegment  = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingCurveSegmentFilter, "Select first line to align")

Dá se také zjistit poloha bodu, kam uživatel ukázal?
Potřebuji vybrat jak entitu, tak i znát souřadnice bodu výběru.
AutoCAD na to má lispovskou funkci (entsel), která vrátí bod výběru i entitu.
Je něco takového i v API Inventoru?

Děkuji
Pavel Štyl
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 21582
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 28.čer.2023 v 12:29
Jednoduchá cesta asi nebude, ale mělo by zafungovat získání souřadnice kliknutí přes "myšovou" událost:

Dim oIntEv As InteractionEvents = ThisApplication.CommandManager.CreateInteractionEvents
Dim oMouseEv As MouseEvents = oIntEv.MouseEvents
AddHandler oMouseEv.OnMouseClick  ,AddressOf oMouseEv_OnMouseClick 
oIntEv.Start

Sub oMouseEv_OnMouseClick(oMBtn As MouseButtonEnum, oShiftState As ShiftStateEnum, oMPos As Inventor.Point, oViewPos As Point2d, oView As Inventor.View)
   MsgBox("Model Position = " & oMPos.X & " cm x " & oMPos.Y & " cm (from model origin)" & vbCrLf & _
  "View Position = " & oViewPos.X & " x " & oViewPos.Y & " (from top left corner of view)", , "MOUSE POSITION")
End Sub


A poté výběr pomocí souřadnice bodu:
oSheet.FindUsingPoint(PointPos)

Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
pavelstyl Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 06.říj.2004
Lokalita: Czech Republic
Používám:
AutoCAD Mech 2023, SolidEdgeE 2023
Stav: Offline
Bodů: 226
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace pavelstyl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 28.čer.2023 v 12:48
Děkuji vyzkouším
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 7239:VIPNefungující Shift operace v Civil3D a Map3D?
Tip 4312:VIPVýběr objektů dle obsahu připojených objektových dat.
Tip 258:Vytvořil jsem z několika entit Skupinu, ale při výběru objektů se mi stále entity vybírají jednotlivě
Tip 72:Jak vybrat překrývající se entity?
Tip 3390:K čemu slouží volba Třída při výběru objektů?
Tip 7312:Rychlý výběr všech objektů v dané hladině nebo všech bloků ABC.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,641 sekund.